{% extends 'components/base.html' %}
{% load static%}
{% block title %}Users List{% endblock title %}

		{% block styles %}
		{% endblock styles %}

						{% block body %}
						<!-- PAGE-HEADER -->
						<div class="page-header">
							<div>
								<h1 class="page-title">User List</h1>
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a href="#">Admin</a></li>
									<li class="breadcrumb-item active" aria-current="page">Users List</li>
								</ol>
							</div>
							<div class="ms-auto pageheader-btn">
								<a href="#" class="btn btn-primary btn-icon text-white me-2">
									<span>
										<i class="fe fe-plus"></i>
									</span> Add Account
								</a>
							</div>
						</div>
						<!-- PAGE-HEADER END -->

						<!-- ROW OPEN -->
						<div class="row row-cards">
							<div class="col-lg-12 col-xl-12">
								<div class="input-group mb-5">
									<input type="text" class="form-control" placeholder="SEARCH">
									<div class="input-group-text btn btn-primary">
										<i class="fa fa-search" aria-hidden="true"></i>
									</div>
								</div>
								<div class="card">
									<div class="card-header border-bottom-0 p-4">
										<h2 class="card-title">1 - 30 of 546 users</h2>
										<div class="page-options d-flex float-end">
											<select class="form-control form-select w-auto">
												<option value="asc">Latest</option>
												<option value="desc">Oldest</option>
											</select>
										</div>
									</div>
									<div class="e-table px-5 pb-5">
										<div class="table-responsive table-lg">
											<table class="table border-top table-bordered mb-0">
												<thead>
													<tr>
														<th class="text-center">Image</th>
														<th class="text-center">Name</th>
														<th>Discord Name</th>
														<th>Discord ID</th>
														<th>Permissions</th>
														<th>Date Joined</th>
														<th>Last Login</th>
														<th class="text-center">Actions</th>
													</tr>
												</thead>
												<tbody>
													{% for user in users %}
													<tr>
														{% if user.profile.photo %}
														<td class="align-middle text-center"><img alt="image" class="avatar avatar-md br-7" src=""></td>
														{% else %}
														<td class="align-middle text-center"><img alt="image" class="avatar avatar-md br-7" src="{% static ''%}assets/images/users/16.jpg"></td>
														{% endif %}
														<td class="text-nowrap align-middle"><a href="{% url 'profile' user.id %}">{{ user.username }}</a></td>
														<td class="text-nowrap align-middle">{{ user.discord_username }}</td>
														<td class="align-middle text-center">{{ user.discord_id }}</td>
														{% if user.is_superuser %}
														<td class="align-middle text-center">ADMIN</td>
														{% elif user.is_staff %}
														<td class="align-middle text-center">MOD</td>
														{% else %}
														<td class="align-middle text-center">CONTRIBUTOR</td>
														{% endif %}
														<td class="text-nowrap align-middle"><span>{{ user.date_joined | date }}</span></td>
														<td class="text-nowrap align-middle"><span>{{ user.last_login }}</span></td>
														<td class="text-center align-middle">
															<div class="btn-group align-top">
																<button class="btn btn-sm btn-primary badge" data-target="#user-form-modal" data-bs-toggle="modal" type="button">Edit</button> <button class="btn btn-sm btn-primary badge" type="button"><i class="fa fa-trash"></i></button>
															</div>
														</td>
													</tr>
													{% endfor %}
												</tbody>
											</table>
										</div>
									</div>
								</div>
								<div class="mb-5">
									<ul class="pagination float-end">
										<li class="page-item page-prev disabled">
											<a class="page-link" href="#" tabindex="-1">Prev</a>
										</li>
										<li class="page-item active"><a class="page-link" href="#">1</a></li>
										<li class="page-item"><a class="page-link" href="#">2</a></li>
										<li class="page-item"><a class="page-link" href="#">3</a></li>
										<li class="page-item"><a class="page-link" href="#">4</a></li>
										<li class="page-item"><a class="page-link" href="#">5</a></li>
										<li class="page-item page-next">
											<a class="page-link" href="#">Next</a>
										</li>
									</ul>
								</div>
							</div><!-- COL-END -->
						</div>
						<!-- ROW CLOSED -->
						{% endblock body %}
					
		{% block scripts %}
		{% endblock scripts %}